"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.JSON_SCHEMA = void 0;

var _validate = require("../utils/validate");

/*
Copyright 2019 Province of British Columbia

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at 

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

Created by Patrick Simonian
*/
// expected json schema for the manifest of files to fetch
const JSON_SCHEMA = {
  url: {
    type: 'String',
    required: true,
    validate: _validate.isAGithubUrl
  }
};
exports.JSON_SCHEMA = JSON_SCHEMA;